Bug 20968 - EME depends on legal sanctions to succeed and this is not a matter that can be addressed here.
Summary: EME depends on legal sanctions to succeed and this is not a matter that can b...
Status: RESOLVED WORKSFORME
Alias: None
Product: HTML WG
Classification: Unclassified
Component: Encrypted Media Extensions (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Adrian Bateman [MSFT]
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 02:49 UTC by Fred Andrews
Modified: 2013-02-26 23:40 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred Andrews 2013-02-12 02:49:15 UTC
EME depends on legal sanctions to be able to succeed in its goals and this is not a matter that can be addressed here and that is unlikely to be achieved 'world wide' and thus it has not place in the 'world wide web'.
Comment 1 Adrian Bateman [MSFT] 2013-02-12 13:47:25 UTC
It's not clear which part of the spec text has a dependency on legal sanctions. Please provide a pointer to this.
Comment 2 Fred Andrews 2013-02-12 20:20:39 UTC
The BBC have stated that only a solution that has the protection of legal sanctions would be acceptable.  This would related to the CDM which implements the DRM.
Comment 3 Mark Watson 2013-02-19 16:23:52 UTC
(In reply to comment #2)
> The BBC have stated that only a solution that has the protection of legal
> sanctions would be acceptable.  This would related to the CDM which
> implements the DRM.

This is a requirement of one content provider on the CDM, not on the EME specification.
Comment 4 Fred Andrews 2013-02-19 21:06:58 UTC
The EME is an interface to the CDM and its purpose is to support the CDM so I believe this makes it fair to consider the CDM when reviewing the EME.

If EME is to exclude DRM covered by legal sanctions then this needs to be considered in the design.  For example it needs to be explicitly noted that the UA may store the content, and operate without a content management server, and protect the UA state from being leaked.  The exchange between the CDM and the web needs to be transparent in order for the UA to enforce such protections.
Comment 5 Adrian Bateman [MSFT] 2013-02-26 17:03:11 UTC
Discussed on the telcon:
http://www.w3.org/2013/02/26-html-media-minutes.html

Resolved, WorksForMe
The task force does not agree that EME depends on legal sanctions to successfully support playback of protected content.
Comment 6 Fred Andrews 2013-02-26 23:40:15 UTC
(In reply to comment #5)
> Discussed on the telcon:
> http://www.w3.org/2013/02/26-html-media-minutes.html
> 
> Resolved, WorksForMe
> The task force does not agree that EME depends on legal sanctions to
> successfully support playback of protected content.

The 'task force' has declared in bug 21104 that they
believe the level of protection offered by the CDM is
a matter for the content author.  If the level of
protection is lower, and for example just requires
the user to use a 'save as' feature in their web
browser or operating system then the only protection
the content author really has is legal protection.

I do not believe the decisions of the 'task force' are
consistent.